CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Installation of swak4Foam for openfoam 1.6.x

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   October 22, 2015, 09:00
Default Installation of swak4Foam for openfoam 1.6.x
  #1
New Member
 
as
Join Date: Jul 2015
Posts: 19
Rep Power: 3
anuja is on a distinguished road
Hello ,
I am facing problems with the swak4Foam installation. I have attached the make.log file. Can you please help?

thats what the make.log file says -->

Previously compiled for OpenFOAM 1.6
Reading variables from 'swakConfiguration'
swakConfiguration: line 1: python-config: command not found
swakConfiguration: line 2: python-config: command not found
swakConfiguration: line 13: [: : integer expression expected
Checking swak4Foam-version and generating file
Swak version is 0.3.2
Bison is version 2.7
Flex is version 2.5.35 (Minor version: 35)
OpenFOAM-version: Major 1 Minor 6 Patch 1.6 (1.6)
No change to swak4FoamParsers/foamVersion4swak.H
SOURCE=entryToExpression/entryToExpression.C ; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3 -DNoRepository -ftemplate-depth-40 -IMake/linux64GccDPOpt -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/finiteVolume/lnInclude -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/sampling/lnInclude -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/triSurface/lnInclude -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/surfMesh/lnInclude -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/lagrangian/basic/lnInclude -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/meshTools/lnInclude -IlnInclude -I. -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/OpenFOAM/lnInclude -I/home/openfoam/OpenFOAM/OpenFOAM-1.6/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linux64GccDPOpt/entryToExpression.o
entryToExpression/entryToExpression.C: In static member function ‘static Foam::autoPtr<Foam::entryToExpression> Foam::entryToExpression::New(const Foam::word&)’:
entryToExpression/entryToExpression.C:72: error: ‘class Foam::HashTable<Foam::autoPtr<Foam::entryToExpress ion> (*)(), Foam::word, Foam::string::hash>’ has no member named ‘sortedToc’
make: *** [Make/linux64GccDPOpt/entryToExpression.o] Fehler 1
Parser library did not compile OK. No sense continuing as everything else depends on it

Requirements for Library not satisfied. I see no sense in going on
Check the README before you go on to ask. And search: Most likely your problem occured to 5 other people before and has been solved on the MessageBoard

Thanks in advance!
Attached Files
File Type: gz make.log.tar.gz (45 Bytes, 1 views)
anuja is offline   Reply With Quote

Old   October 22, 2015, 10:18
Default Installation of smak4Foam for openfoam 1.6x
  #2
New Member
 
as
Join Date: Jul 2015
Posts: 19
Rep Power: 3
anuja is on a distinguished road
Hello,
I am trying to install swak4Foam for Openfoam 1.6 version. But I am facing certain errors. Can someone please help me as I am in need of FunkySetFields for my master project. I have attached the log file below.
Thanks a lot!
Attached Files
File Type: txt log.txt (14.6 KB, 2 views)
File Type: txt make.log.txt (1.9 KB, 0 views)
anuja is offline   Reply With Quote

Old   October 22, 2015, 16:20
Default
  #3
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,531
Blog Entries: 39
Rep Power: 97
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quick questions:
  1. Are you 100% certain that you are using OpenFOAM 1.6.x? Because the output messages all indicate that you have OpenFOAM 1.6 installed.
  2. In addition, what installation instructions did you follow?
  3. And why are you trying to use OpenFOAM 1.6?
wyldckat is offline   Reply With Quote

Old   October 23, 2015, 06:47
Default
  #4
New Member
 
as
Join Date: Jul 2015
Posts: 19
Rep Power: 3
anuja is on a distinguished road
I have installted Openfoam 1.6. I want to install FunkySetfields that is why i am using version 1.6.
I used the isntructions from the openfoamwiki site.
anuja is offline   Reply With Quote

Old   October 24, 2015, 13:07
Default
  #5
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,531
Blog Entries: 39
Rep Power: 97
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings anuja,

Quote:
Originally Posted by anuja View Post
I want to install FunkySetfields that is why i am using version 1.6.
If you are using version 1.6 because of the instructions on this page: https://openfoamwiki.net/index.php/C...funkySetFields
then please see that it says there that:
Quote:
Note: Active development of funkySetFields now takes place in swak4Foam so please have a look there for more up-to-date versions. Support for this version of funkySetFields is discontinued with OpenFOAM 2.0.
This means that funkySetFields is part of the swak4Foam toolkit. It's only the independent version that has been discontinued.

If you can, please install a more recent version of OpenFOAM and install swak4Foam.


But only if you must use OpenFOAM 1.6, then I'll try to take a look into this.

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
swak4foam >>>> INSTALLATION PROBLEM steven123 OpenFOAM Installation 15 November 21, 2015 16:07
swak4Foam 0.3.1 OF2.2.2 Installation Issue scnsc OpenFOAM Installation 3 August 20, 2014 07:59
swak4foam installation bharathbs OpenFOAM Installation 6 April 28, 2014 08:20
swak4foam fails in parallel with -otherTime? Phicau OpenFOAM Post-Processing 3 June 26, 2013 13:00
About installation of swak4Foam mmkr825 OpenFOAM Programming & Development 10 December 14, 2012 02:24


All times are GMT -4. The time now is 05:56.